#Region "Copyright and License"
'
' DbTom ReportingService Module
' Copyright (c) 2005
' by Thomas Trefz (tt@dbresource.de)
'
' Download latest version at http://www.dbresource.de
' No registration required for download
'
' Parts of this module based on an article from Marian Dumitrascu at codeproject:
' http://www.codeproject.com/useritems/SQLRSViewer.asp
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
#End Region

Imports System.IO
Imports DotNetNuke
Imports DotNetNuke.Common
Imports DotNetNuke.Services.Exceptions
Imports DotNetNuke.Services.Localization
Imports DotNetNuke.Common.Utilities
Imports ReportService

Namespace DbTom.ReportingService

    ''' -----------------------------------------------------------------------------
    ''' Namespace:  DbTom.ReportingService
    ''' Project:    DbTom Module Pack for DotNetNuke
    ''' Class:      GetImage
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The GetImage.aspx page is used to show a images in a report
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    '''     [ttr]   20.02.2005  created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Class GetImage

        Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

        'This call is required by the Web Form Designer.
        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

        End Sub

        'NOTE: The following placeholder declaration is required by the Web Form Designer.
        'Do not delete or move it.
        Private designerPlaceholderDeclaration As System.Object

        Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            'CODEGEN: This method call is required by the Web Form Designer
            'Do not modify it using the code editor.
            InitializeComponent()
        End Sub

#End Region

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

            Try

                Dim reportPath As String = Server.UrlDecode(Request("report"))
                Dim streamID As String = Request("streamid")

                Dim rs As ReportService.ReportingService = CType(Session("rs"), ReportService.ReportingService)

                Dim encodingImage As String
                Dim mimeTypeImage As String
                Dim image As Byte()

                image = rs.RenderStream(reportPath, "HTML4.0", streamID, Nothing, Nothing, CType(Session("reportParameterValues"), ReportService.ParameterValue()), encodingImage, mimeTypeImage)

                Response.Clear()
                Response.ContentType = mimeTypeImage
                Response.AppendHeader("content-length", image.Length.ToString())
                Response.BinaryWrite(image)
                Response.Flush()
                Response.Close()

            Catch ex As Exception

                'nothing

            End Try

        End Sub

    End Class

End Namespace